Skip to main content

Get Calendar Notifications

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.get_calendar_notifications

Get calendar notifications

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-get-calendar-notifications-example",
"method": "tools/call",
"params": {
"name": "ghl.get_calendar_notifications",
"arguments": {
"calendarId": "calendarId_123",
"tenantId": "tenantId_123",
"isActive": false,
"deleted": false,
"limit": 1,
"skip": 1
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"calendarId": {
"type": "string"
},
"isActive": {
"type": "boolean"
},
"deleted": {
"type": "boolean"
},
"limit": {
"type": "number"
},
"skip": {
"type": "number"
}
},
"required": [
"calendarId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-get-calendar-notifications-example",
"method": "tools/call",
"params": {
"name": "ghl.get_calendar_notifications",
"arguments": {
"calendarId": "calendarId_123",
"tenantId": "tenantId_123",
"isActive": false,
"deleted": false,
"limit": 1,
"skip": 1
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.get_calendar_notifications executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}